<div class="all-in-one-table">
  <elastic-page-header [height]="'137px'" background="url(assets/img/demo/headers/pattern-3.png)" [reverse]="true">
  </elastic-page-header>
  <div class="container">
    <elastic-breadcrumbs [currentPage]="title" [header]="'primary'"></elastic-breadcrumbs>
  </div>
</div>

<div class="actions" fxFlexAlign="center">
  <mat-label class="paddingSearch">Prestamos</mat-label>
  <mat-accordion class="accordion">
    <mat-expansion-panel [disabled]="false">
      <mat-expansion-panel-header>
        <mat-panel-title style="color:#d2d2d2">
          Buscar prestamos
        </mat-panel-title>
      </mat-expansion-panel-header>

      <form (ngSubmit)="onSubmitAccordeon()" [formGroup]="formGroup">

        <div style="display: flex">
          <mat-form-field class="accordion-input" appearance="fill" style="width: 45% !important">
            <mat-label>Fecha inicio de viaje</mat-label>
            <input formControlName="startDate" (input)="changeValidation()" type="datetime-local" matInput>
          </mat-form-field>
          <mat-form-field class="accordion-input" appearance="fill" style="width: 45% !important">
            <mat-label>Fecha final de viaje</mat-label>
            <input formControlName="endDate" (input)="changeValidation()" type="datetime-local" matInput>
          </mat-form-field>
        </div>
        <div *ngIf="formGroup.controls.endDate.touched && formGroup.controls.startDate.touched">
          <div *ngIf="tripsFormErrors.endDate">
            <p *ngIf="tripsFormErrors.endDate.status" class="messageError">
              {{tripsFormErrors.endDate.message}}</p>
          </div>
        </div>


        <div style="display: flex">
          <mat-form-field class="example-full-width accordion-input" appearance="fill">
            <mat-label>Estado del viaje</mat-label>
            <mat-select [(value)]="selected" formControlName="stateTrip" (input)="changeValidation()">
              <mat-option *ngFor="let tripState of tripStates" [value]="tripState.value">
                {{tripState.value  == 'active'? "Activo":
                tripState.value  == 'help'? "Ayuda":
                tripState.value == "finishing"? "Finalizando":
                tripState.value == "finished"? "Finalizado": "Error"
              }}
              </mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field class="example-full-width positionInput" appearance="fill">
            <mat-label>Estación</mat-label>
            <mat-select formControlName="nameStation" (input)="changeValidation()">
              <mat-option *ngFor="let tableStation of tableStations" [value]="tableStation">
                {{tableStation.name}}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div style="display: flex">
          <mat-form-field appearance="fill" class="accordion-input">
            <mat-label>Usuario(N° identificación o email)</mat-label>
            <input matInput (input)="changeValidation()" placeholder="Ingrese nit de usuario o email" formControlName="idNumber"
              type="text">
          </mat-form-field>
          <mat-form-field class="accordion-input" appearance="fill">
            <mat-label>Numero de bicicleta</mat-label>
            <input matInput (input)="changeValidation()" placeholder="Ingrese la capacidad máxima de la estación"
              formControlName="numberBike" type="text">
          </mat-form-field>
        </div>
        <div *ngIf="formGroup.controls.idNumber.touched">
          <div *ngIf="tripsFormErrors.idNumber">
            <p *ngIf="tripsFormErrors.idNumber.status" class="messageError">
              {{tripsFormErrors.idNumber.message}}</p>
          </div>
        </div>
        <div *ngIf="tripsFormStatus">
          <div class="textResults" *ngIf="totalTrips!=0">
            <mat-icon>check_circle_outline</mat-icon>
            <mat-label *ngIf="totalTrips==1" class="results">Se encontro {{totalTrips}} resultado</mat-label>
            <mat-label *ngIf="totalTrips>1" class="results">Se encontraron {{totalTrips}} resultados</mat-label>
          </div>
          <div class="textResults" *ngIf="totalTrips==0">
            <mat-icon>remove_circle_outline</mat-icon>
            <mat-label class="results">No se encontro ningun resultado de busqueda</mat-label>
          </div>
        </div>

        <div class="positionButton">
          <button mat-raised-button color="primary" type="submit">Buscar</button>
          <button mat-raised-button color="primary" class="clearButton" (click)="clearFilter()">Limpiar</button>
        </div>
      </form>
    </mat-expansion-panel>
  </mat-accordion>
  <button *ngIf="tripsFormStatus" mat-raised-button color="primary" class='btn-searchAll' (click)="showAll()">Mostrar
    todos</button>
  <button *ngIf="!tripsFormStatus" mat-raised-button color="primary" class='btn-searchAll' disabled>Mostrar
    todos</button>
  <button mat-raised-button color="primary" (click)="reportTrips()" class="btnExcel">
    <img src="assets/img/icon/iconExcel.svg" width="30px" alt="logo excel" />
  </button>
</div>

<elastic-data-table [columns]="tripsColumns" [dataPage]="currentPageTrips" [loading]="loadingTable"
  [totalRecords]="totalTrips" [pageSize]="tripsPageSize" (rowAction)="tableAction($event)"
  (changePage)="changePage($event)">
</elastic-data-table>